Bug 36594 - Множественные ошибки в работе
Summary: Множественные ошибки в работе
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: catfish (show other bugs)
Version: unstable
Hardware: all Linux
: P3 normal
Assignee: Fr. Br. George
QA Contact: qa-sisyphus
URL:
Keywords: backport
Depends on:
Blocks:
 
Reported: 2019-04-15 08:20 MSK by Anton Shevtsov
Modified: 2019-06-10 18:18 MSK (History)
4 users (show)

See Also:


Attachments
Регистронезависимый поиск для латиницы - работает. (207.89 KB, image/png)
2019-04-15 08:20 MSK, Anton Shevtsov
no flags Details
Регистронезависимый поиск для кириллицы - не работает. (178.40 KB, image/png)
2019-04-15 08:20 MSK, Anton Shevtsov
no flags Details
spec (5.78 KB, text/x-rpm-spec)
2019-04-15 09:29 MSK, Anton Shevtsov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Shevtsov 2019-04-15 08:20:11 MSK
Created attachment 8100 [details]
Регистронезависимый поиск для латиницы - работает.

1.  Невозможно посмотреть опции работы программы.

catfish --help вываливается с кучей ошибок

comp-core-i5-7400-d4aced ~ # catfish --help

** (catfish.py:3801): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-Ih6Q2Q3SKJ: В соединении отказано
/usr/share/catfish/catfish/__init__.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk  # pylint: disable=E0611
Traceback (most recent call last):
  File "/usr/share/catfish/bin/catfish.py", line 44, in <module>
    catfish.main()
  File "/usr/share/catfish/catfish/__init__.py", line 70, in main
    options, args = parse_options()
  File "/usr/share/catfish/catfish/__init__.py", line 62, in parse_options
    (options, args) = parser.parse_args()
  File "/usr/lib64/python2.7/optparse.py", line 1400, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib64/python2.7/optparse.py", line 1440, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib64/python2.7/optparse.py", line 1515, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib64/python2.7/optparse.py", line 789, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib64/python2.7/optparse.py", line 811, in take_action
    parser.print_help()
  File "/usr/lib64/python2.7/optparse.py", line 1670, in print_help
    file.write(self.format_help().encode(encoding, "replace"))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 171: ordinal not in range(128)

2. Не работает регистронезависимый поиск для кириллицы. Латиница ищется хорошо.
Comment 1 Anton Shevtsov 2019-04-15 08:20:33 MSK
Created attachment 8101 [details]
Регистронезависимый поиск для кириллицы - не работает.
Comment 2 Anton Shevtsov 2019-04-15 08:21:27 MSK
Вероятно, эти баги пофиксены в апрстриме т.к. у нас 1.2.2, а актуальная 1.4.4
Comment 3 Anton Shevtsov 2019-04-15 08:25:46 MSK
Проверил в версии 1.4.4 из сизифа - все точно также. Хотя в убунте работает исправно.
Comment 4 Anton Shevtsov 2019-04-15 08:33:58 MSK
Собрал последний 1.4.7 с оф. сайта - https://mail.xfce.org/pipermail/xfce-announce/2019-January/000667.html. Поиск для кириллицы также не работает.
Comment 5 Anton Shevtsov 2019-04-15 08:57:26 MSK
Итак, проблему решил. Посмотрел, как это в убунте.

Взял проследний релиз с сайта, и пересобрал на python3 - все заработало без каких либо ошибок.

Нужно пересобрать с python3
Comment 6 Andrey Cherepanov 2019-04-15 09:03:16 MSK
На Sisyphus.
Comment 7 Anton Shevtsov 2019-04-15 09:29:09 MSK
Created attachment 8102 [details]
spec

на основе спека из сизифа сделал спек для 1.4.7 и питон3.. собрал, проверил, работает. Но я так себе сборщик (
Comment 8 mikhailnov 2019-04-15 14:20:52 MSK
В таске 227165 это исправлено, нужен аппрув
Comment 9 Repository Robot 2019-06-10 18:18:16 MSK
catfish-1.4.7-alt1 -> sisyphus:

Mon Jun 10 2019 Fr. Br. George <george@altlinux.ru> 1.4.7-alt1
- Autobuild version bump to 1.4.7 (Closes: #36594)
- Switch to Python3